NATS C Client with JetStream and Streaming support 3.6.1 The nats.io C Client, Supported by Synadia Communications Inc.

Loading...
Searching...
No Matches
Functions
libevent.h File Reference

Go to the source code of this file.

## Functions
void | natsLibevent_Init (void)
| Initialize the adapter.
natsStatus | natsLibevent_Attach (void **userData, void *loop, natsConnection *nc, natsSock socket)
| Attach a connection to the given event loop.
natsStatus | natsLibevent_Read (void *userData, bool add)
| Start or stop polling on READ events.
natsStatus | natsLibevent_Write (void *userData, bool add)
| Start or stop polling on WRITE events.
natsStatus | natsLibevent_Detach (void *userData)
| The connection is closed, it can be safely detached.